﻿using Microsoft.Maui.Controls;
using SharedLib;

namespace BindingTestApp;

public partial class App : Application
{
    public App(ITestClass testClass)
    {
        InitializeComponent();

        var vm = new MainPageViewModel(testClass);
        var page = new MainPage();
        page.BindingContext = vm;
        MainPage = page;
    }
}